Bug 1476942 - [RFE] - Support for Oracle Enterprise Directory server
[RFE] - Support for Oracle Enterprise Directory server
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-extension-aaa-ldap (Show other bugs)
4.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Martin Perina
Gonza
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 17:29 EDT by Anitha Udgiri
Modified: 2017-09-29 16:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-15 08:08:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anitha Udgiri 2017-07-31 17:29:16 EDT
Description of problem:
One of our customers is using Oracle Enterprise Directory server and would like to integrate it with RHV via AAA.

This RFE is a request to enable support for the same.
Comment 2 Ondra Machacek 2017-08-01 06:27:25 EDT
The problem here is that they don't have enabled 'uniqueMemberMatch', can they send a dump of one user and one group, so we can check what they use for group membership resolution?
Comment 4 Anitha Udgiri 2017-08-01 14:23:09 EDT
(In reply to Ondra Machacek from comment #2)
> The problem here is that they don't have enabled 'uniqueMemberMatch', can
> they send a dump of one user and one group, so we can check what they use
> for group membership resolution?

Ondra,
    I did ask the customer for getting the requested info. But on second thoughts realized that we already have the debug log from their earlier login attempt captured using the extensions tool.

Uploaded the same for your reference ( oracleldap.log ).

Let me know if this will suffice.
Comment 6 Ondra Machacek 2017-08-10 16:02:01 EDT
So they should just change include = <rfc2307-openldap.properties> to include = <rfc2307.properties>. Please close if it will resolve the issue.
Comment 7 Martin Perina 2017-08-17 08:19:10 EDT
Anitha, did suggestion in Comment 6 solve the issue?
Comment 8 Martin Perina 2017-08-28 08:00:30 EDT
Anitha, any updates?
Comment 9 Martin Perina 2017-09-15 08:08:35 EDT
Closing as insufficient data, feel free to reopen once required information is available

Note You need to log in before you can comment on or make changes to this bug.